imap_fetchstructure
imap_get_quota
IMAP Functions
PHP Manual

# imap_gc

(PHP 5 >= 5.3.0)

imap_gc — Clears IMAP cache

### Description

string imap_gc ( resource `$imap_stream` , int `$caches` )

Purges the cache of entries of a specific type.

### Parameters

`imap_stream`

  An IMAP stream returned by imap_open().

`caches`

  Specifies the cache to purge. It may one or a combination of the following constants: `IMAP_GC_ELT` (message cache elements), `IMAP_GC_ENV` (enveloppe and bodies), `IMAP_GC_TEXTS` (texts).

### Return Values

Returns `TRUE`.

### Examples

Example #1 imap_gc() example

`<?php
$mbox = imap_open("{imap.example.org:143}", "username", "password");
imap_gc($mbox, IMAP_GC_ELT);
?>`

imap_fetchstructure
imap_get_quota
IMAP Functions
PHP Manual